Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 171391

Summary: x11-wm/ion3 breaks with LDFLAGS -Wl,--as-needed
Product: Gentoo Linux Reporter: Alexandra Parker <alex.iris.parker>
Component: Current packagesAssignee: Tom Payne (RETIRED) <twp>
Status: RESOLVED FIXED    
Severity: minor CC: betelgeuse, mabi, Sander.Sweers
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 129413    
Attachments: fixes --as-needed

Description Alexandra Parker 2007-03-18 22:42:25 UTC
libXext does not get properly linked.

#129413 should depend on this bug.
Comment 1 Alexandra Parker 2007-03-18 23:13:15 UTC
Created attachment 113722 [details, diff]
fixes --as-needed
Comment 2 Alexandra Parker 2007-03-23 19:01:50 UTC
Guess I wasn't supposed to close it until the patch was committed
Comment 3 Matti Bickel (RETIRED) gentoo-dev 2007-04-07 11:42:28 UTC
I'll get to this today.
Comment 4 Petteri R├Ąty (RETIRED) gentoo-dev 2007-04-16 22:23:31 UTC
(In reply to comment #1)
> Created an attachment (id=113722) [edit]
> fixes --as-needed
> 

Does this patch overwrite LDFLAGS?
Comment 5 Matti Bickel (RETIRED) gentoo-dev 2007-04-28 21:59:53 UTC
--as-needed is filtered, see https://bugs.gentoo.org/show_bug.cgi?id=136077#c66
this is adressed in ion3-20070318-r1, soon on a mirror near you :)
Comment 6 Sander Sweers 2007-04-29 04:59:51 UTC
Filtering as-needed is hiding bugs which is wrong. Either really fix it or leave the bug open.
Comment 7 Alexandra Parker 2007-04-29 23:46:39 UTC
Comment on attachment 113722 [details, diff]
fixes --as-needed

><HTML><HEAD/><BODY><PRE>--- ion-3ds-20070203/de/Makefile~	2007-03-18 15:54:12.000000000 -0700
>+++ ion-3ds-20070203/de/Makefile	2007-03-18 15:54:31.000000000 -0700
>@@ -17,6 +17,8 @@
> 
> MAKE_EXPORTS=de
> 
>+LDFLAGS+=-lXext
>+
> ######################################
> 
> include $(TOPDIR)/build/rules.mk
></PRE></BODY></HTML>
Comment 8 Alexandra Parker 2007-04-29 23:48:37 UTC
That was weird.  Anyway, this patch should work without clobbering LDFLAGS or filtering --as-needed.

--- ion-3ds-20070203/de/Makefile~	2007-03-18 15:54:12.000000000 -0700
+++ ion-3ds-20070203/de/Makefile	2007-03-18 15:54:31.000000000 -0700
@@ -17,6 +17,8 @@
 
 MAKE_EXPORTS=de
 
+LDFLAGS+=-lXext
+
######################################
 
 include $(TOPDIR)/build/rules.mk


Comment 9 Matti Bickel (RETIRED) gentoo-dev 2007-04-30 16:03:07 UTC
Ok. This patch is now in -r2, enjoy, finally :-)